com.holonplatform.core.query

## Interface FunctionExpression.FunctionExpressionProperty<T>

- Type Parameters:
    `T` - Property and function type
  All Superinterfaces:
    Expression, FunctionExpression<T>, Localizable, Property<T>, QueryExpression<T>, QueryProjection<T>, Serializable, Validator.Validatable<T>
  All Known Subinterfaces:
    FunctionExpression.PathFunctionExpressionProperty<P,T>
  Enclosing interface:
    FunctionExpression<T>

      public static interface FunctionExpression.FunctionExpressionProperty<T>
      extends FunctionExpression<T>, Property<T>

  A `FunctionExpression` implemented as a `Property`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.FunctionExpression

      `FunctionExpression.FunctionExpressionProperty<T>, FunctionExpression.PathFunctionExpression<P,T>, FunctionExpression.PathFunctionExpressionProperty<P,T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.Builder<T,B extends Property.Builder<T,B>>, Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> FunctionExpression.FunctionExpressionProperty<T>` | `create(QueryFunction<T> function)` Create a `FunctionExpression.FunctionExpressionProperty` using given `function`.

    - ### Methods inherited from interface com.holonplatform.core.query.FunctionExpression

      `avg, count, getFunction, max, min, sum`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `getType`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `getType`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getType, isReadOnly, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode`

- - ### Method Detail

    - #### create

          static <T> FunctionExpression.FunctionExpressionProperty<T> create(QueryFunction<T> function)

      Create a `FunctionExpression.FunctionExpressionProperty` using given `function`.
      Specified by:
        `create` in interface `FunctionExpression<T>`
      Type Parameters:
        `T` - Property and function type
      Parameters:
        `function` - Function associated to the property (not null)
      Returns:
        A new `FunctionExpression.FunctionExpressionProperty`

Copyright © 2017 The Holon Platform. All rights reserved.